This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 701240 - (CVE-2011-1763) CVE-2011-1763 kernel: xen: improper upper boundary check in get_free_port() function
CVE-2011-1763 kernel: xen: improper upper boundary check in get_free_port() f...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110531,reported=20110430,sou...
: Regression, Security
Depends On: 701242 701243
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-02 05:09 EDT by Petr Matousek
Modified: 2015-07-29 08:43 EDT (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 08:43:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2011-05-02 05:09:27 EDT
Description:
A flaw was found in the way Xen hypervisor checked for upper boundary when
getting a new event channel port. A privileged DomU user could use this
flaws to cause denial of service or, possibly, increase his privileges.
Comment 15 Petr Matousek 2011-05-03 07:48:58 EDT
This issue does not affect upstream.
Comment 16 Petr Matousek 2011-05-03 07:56:07 EDT
Statement:

This issue only affects Red Hat Enterprise Linux 5 as we did not backport upstream Xen unstable commit 2dcdd2fcb945. The versions of the Linux kernel as shipped with Red Hat Enterprise Linux 4, 6, and Red Hat Enterprise MRG are not affected.
Comment 19 errata-xmlrpc 2011-05-31 10:06:16 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0833 https://rhn.redhat.com/errata/RHSA-2011-0833.html

Note You need to log in before you can comment on or make changes to this bug.